Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(24)

Issue 22862002: Write NULL as "" so readString() always returns a non-NULL string. (Closed)

Created:
5 years, 10 months ago by mtklein
Modified:
5 years, 10 months ago
Reviewers:
reed1
CC:
skia-review_googlegroups.com
Visibility:
Public.

Description

Write NULL as "" so readString() always returns a non-NULL string. BUG= R=reed@google.com Committed: https://code.google.com/p/skia/source/detail?r=10754

Patch Set 1 #

Total comments: 2

Patch Set 2 : simpler #

Total comments: 2

Patch Set 3 : len 0 #

Unified diffs Side-by-side diffs Delta from patch set Stats (+7 lines, -30 lines) Patch
M include/core/SkWriter32.h View 1 chunk +3 lines, -1 line 0 comments Download
M src/core/SkWriter32.cpp View 1 2 2 chunks +2 lines, -9 lines 0 comments Download
M tests/Writer32Test.cpp View 1 chunk +2 lines, -20 lines 0 comments Download

Messages

Total messages: 6 (0 generated)
mtklein
5 years, 10 months ago (2013-08-12 15:41:24 UTC) #1
reed1
nits, but lgtm https://codereview.chromium.org/22862002/diff/1/src/core/SkWriter32.cpp File src/core/SkWriter32.cpp (right): https://codereview.chromium.org/22862002/diff/1/src/core/SkWriter32.cpp#newcode272 src/core/SkWriter32.cpp:272: this->writeString(""); since no 2nd parameter implies ...
5 years, 10 months ago (2013-08-12 17:05:47 UTC) #2
mtklein
https://codereview.chromium.org/22862002/diff/1/src/core/SkWriter32.cpp File src/core/SkWriter32.cpp (right): https://codereview.chromium.org/22862002/diff/1/src/core/SkWriter32.cpp#newcode272 src/core/SkWriter32.cpp:272: this->writeString(""); On 2013/08/12 17:05:47, reed1 wrote: > since no ...
5 years, 10 months ago (2013-08-12 17:20:03 UTC) #3
reed1
https://codereview.chromium.org/22862002/diff/6001/src/core/SkWriter32.cpp File src/core/SkWriter32.cpp (right): https://codereview.chromium.org/22862002/diff/6001/src/core/SkWriter32.cpp#newcode272 src/core/SkWriter32.cpp:272: str = ""; add len = 0; and we ...
5 years, 10 months ago (2013-08-12 17:36:20 UTC) #4
mtklein
https://codereview.chromium.org/22862002/diff/6001/src/core/SkWriter32.cpp File src/core/SkWriter32.cpp (right): https://codereview.chromium.org/22862002/diff/6001/src/core/SkWriter32.cpp#newcode272 src/core/SkWriter32.cpp:272: str = ""; On 2013/08/12 17:36:21, reed1 wrote: > ...
5 years, 10 months ago (2013-08-12 17:39:14 UTC) #5
mtklein
5 years, 10 months ago (2013-08-15 21:01:39 UTC) #6
Message was sent while issue was closed.
Committed patchset #3 manually as r10754 (presubmit successful).

Powered by Google App Engine
This is Rietveld 408576698